### Method

# Vips Buf all

#### Declaration [src]

    const char*
    vips_buf_all (
      VipsBuf* buf
    )

#### Description [src]

Return the contents of the buffer as a C string.

#### Return value

Type: `const char*`

The `NULL`-terminated contents of the buffer. This is a pointer to the memory managed by the buffer and must not be freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.